commit:     642f19aeb12bae067896af2116c79f0327ad037a
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  1 13:56:26 2017 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Tue Aug  1 14:23:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=642f19ae

app-i18n/ibus: fix REQUIRED_USE

Gentoo-Bug: 622404

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 app-i18n/ibus/ibus-1.5.12.ebuild | 9 +++++----
 app-i18n/ibus/ibus-1.5.15.ebuild | 9 +++++----
 2 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/app-i18n/ibus/ibus-1.5.12.ebuild b/app-i18n/ibus/ibus-1.5.12.ebuild
index fe21830f185..da93deeb071 100644
--- a/app-i18n/ibus/ibus-1.5.12.ebuild
+++ b/app-i18n/ibus/ibus-1.5.12.ebuild
@@ -16,12 +16,13 @@ SLOT="0"
 KEYWORDS="alpha amd64 arm ~arm64 ia64 ppc ppc64 sparc x86 ~x86-fbsd"
 IUSE="deprecated gconf gtk +gtk3 +introspection nls +python test vala wayland 
+X"
 RESTRICT="test"
-REQUIRED_USE="|| ( gtk gtk3 X )
-       deprecated? ( python )
-       vala? ( introspection )
+REQUIRED_USE="deprecated? ( python )
        python? (
                ${PYTHON_REQUIRED_USE}
-               || ( deprecated ( gtk3 introspection ) ) )" #342903
+               || ( deprecated gtk3 )
+               gtk3? ( introspection )
+       )
+       vala? ( introspection )"
 
 CDEPEND="app-text/iso-codes
        dev-libs/glib:2

diff --git a/app-i18n/ibus/ibus-1.5.15.ebuild b/app-i18n/ibus/ibus-1.5.15.ebuild
index f589e9b2d84..bbacf8f471e 100644
--- a/app-i18n/ibus/ibus-1.5.15.ebuild
+++ b/app-i18n/ibus/ibus-1.5.15.ebuild
@@ -16,12 +16,13 @@ SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
 IUSE="deprecated gconf gtk +gtk3 +introspection nls +python test vala wayland 
+X"
 RESTRICT="test"
-REQUIRED_USE="|| ( gtk gtk3 X )
-       deprecated? ( python )
-       vala? ( introspection )
+REQUIRED_USE="deprecated? ( python )
        python? (
                ${PYTHON_REQUIRED_USE}
-               || ( deprecated ( gtk3 introspection ) ) )" #342903
+               || ( deprecated gtk3 )
+               gtk3? ( introspection )
+       )
+       vala? ( introspection )"
 
 CDEPEND="app-text/iso-codes
        dev-libs/glib:2

Reply via email to